using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zad1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);

            string[] m = Console.ReadLine().Split();
            int x2 = int.Parse(m[0]);
            int y2 = int.Parse(m[1]);

            if ((x1 == x2) || (y1 == y2))
                Console.WriteLine("2");
            else
                Console.WriteLine("1");
        }
    }
}